import { Component, OnInit, OnDestroy, ViewEncapsulation } from '@angular/core';
import {BackendSelectionService } from '../backend-selection.service';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import {OverlayContainer} from '@angular/cdk/overlay';
import { AuthorisationService } from '../authorisation.service';
import { ComputesitesService } from '../computesites.service';
import { Identity } from '../identity';
import { Location } from '@angular/common';
import { MatButtonToggleGroup } from '@angular/material';
import { Subscription } from 'rxjs';

@Component({
  selector: 'app-contactus',
  templateUrl: './contactus.component.html',
  styleUrls: ['./contactus.component.css'],
})
export class ContactUsComponent implements OnInit {

  constructor(private computeSitesService: ComputesitesService) {}

  private sub: Subscription;
  public contacts: Identity[];

  ngOnInit() {
    this.sub = this.computeSitesService.identities.subscribe((v) => this.set_contacts(v));
  }

  ngOnDestroy() {
    this.sub.unsubscribe()
  }

  set_contacts(sites: Identity[]) {
  }
}
